Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Blacklist Enrollment and Search

Face Blacklist Check is a 1:N watchlist search that stops “known” bad actors who have been labelled before by clients. To enable this service, client needs to upload a gallery of faces (their blacklist) to VIDA via the Enrollment API. Then, with Search API, it can be incorporated in any step which require blacklist check (e.g. Liveness, Authentication, etc).

Standalone API for Blacklist Management

A new standalone API is introduced to manage and search blacklisted faces from client who requested to have

Endpoint

POST /api/v1/face/blacklist

Supported Actions

Action
Description

Search

Search for a given face image in the blacklist database.

Blacklist

Add a face image to the blacklist database.

Enrollment

Request

JSON Response
{
  "transactionId": "random-uuid",
  "action": "blacklist",
  "payload": {
    "faceImage": "Base64 encoded image of face"
  }
}

Response

JSON Response
{
  "transactionId": "c90008a4-987e-4247-9b00-2638417d37a4",
  "faceId": "2dd8a10e-0233-4439-88d5-e898331c34c9"
}

Request

JSON Response

Response

JSON Response

Last updated